/* General image settings */

.ce-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-end;

    img {
        max-width: 250px;
        width: auto;
        height: auto;
        min-width: 250px;
    }
}

figure {
    text-align: center;
}

.image-caption {
    margin-top: 20px;
    text-align: center;
}

@media all and (max-width: $image-breakpoint) {
    .ce-row {
        flex-direction: column;
        align-items:center;
    }

    .ce-column {
        margin-bottom: 30px;

        &:last-child {
            margin-bottom: 0px;
        }
    }
}

/* Image position definitions
 *
 * TYPO3 features ten different positions for placing images in the
 * “Image and Text” element:
 * - Above, center (no adjustments necessary)
 * - Above, right
 * - Above, left
 * - Below, center (no adjustments necessary)
 * - Below, right
 * - Below, left
 * - In text, right
 * - In text, left
 * - Beside Text, Right
 * - Beside Text, Left
 */

/* Above, right */
.ce-textpic.ce-right.ce-above {
    & .ce-gallery .ce-row {
        justify-content: right;

        @media all and (max-width: $image-breakpoint) {
            justify-content: center;
        }

        figure {
            margin-right: 0;
            margin-left: 80px;

            @media all and (max-width: $image-breakpoint) {
                margin-left: 0;
            }
        }
    }
}

/* Above, left */
.ce-textpic.ce-left.ce-above {
    & .ce-gallery .ce-row {
        justify-content: left;

        @media all and (max-width: $image-breakpoint) {
            justify-content: center;
        }

        figure {
            margin-right: 80px;
            margin-left: 0;

            @media all and (max-width: $image-breakpoint) {
                margin-right: 0;
            }
        }
    }
}

/* Below, right */
.ce-textpic.ce-right.ce-below {
    & .ce-gallery .ce-row {
        justify-content: right;

        @media all and (max-width: $image-breakpoint) {
            justify-content: center;
        }

        figure {
            margin-right: 0;
            margin-left: 80px;

            @media all and (max-width: $image-breakpoint) {
                margin-left: 0;
            }
        }
    }
}

/* Below, left */
.ce-textpic.ce-left.ce-below {
    & .ce-gallery .ce-row {
        justify-content: left;

        @media all and (max-width: $image-breakpoint) {
            justify-content: center;
        }

        figure {
            margin-right: 80px;
            margin-left: 0;

            @media all and (max-width: $image-breakpoint) {
                margin-right: 0;
            }
        }
    }
}

/* In text, left */
.ce-textpic.ce-left.ce-intext {
    & .ce-gallery {
        float: left;

        @media all and (max-width: $image-breakpoint) {
            float: unset;
        }

        .ce-row {
            flex-direction: column;

            &:first-child > figure {
                margin-top: 0;
            }
        }

        .ce-column {
            &:first-child figure {
                margin-top: 0;
            }

            & > figure {
                margin-left: 0;

                @media all and (max-width: $image-breakpoint) {
                    margin-right: 0;
                }
            }
        }
    }

    &:after {
        content: ".";
        visibility: hidden;
        display: block;
        height: 0;
        clear: both;
    }
}

/* In text, right */
.ce-textpic.ce-right.ce-intext {
    & .ce-gallery {
        float: right;

        @media all and (max-width: $image-breakpoint) {
            float: unset;
        }

        .ce-row {
            flex-direction: column;
        }

        .ce-column {
            &:first-child figure {
                margin-top: 0;
            }

            & > figure {
                margin-right: 0;

                @media all and (max-width: $image-breakpoint) {
                    margin-left: 0;
                }
            }
        }
    }

    &:after {
        content: ".";
        visibility: hidden;
        display: block;
        height: 0;
        clear: both;
    }
}

/* Besides text, left */
.ce-textpic.ce-left.ce-intext.ce-nowrap {
    display: grid;
    grid-template-columns: calc(30% - 40px) auto;
    gap: 40px;

    @media all and (max-width: $image-breakpoint) {
        display: block;
    }

    @media all and (max-width: $menu-breakpoint) {
        grid-template-columns: calc(40% - 40px) auto;
    }

    & .ce-gallery {
        grid-column: 1;
        grid-row: 1;

        & figure {
            margin-left: 0;
            margin-right: 0;
        }
    }

    & .ce-bodytext {
        grid-column: 2;
        grid-row: 1;
    }
}

/* Besides text, right */
.ce-textpic.ce-right.ce-intext.ce-nowrap {
    display: grid;
    grid-template-columns: auto calc(30% - 40px);
    gap: 40px;

    @media all and (max-width: $image-breakpoint) {
        display: block;
    }

    @media all and (max-width: $menu-breakpoint) {
        grid-template-columns: auto calc(40% - 40px);
    }

    & .ce-gallery {
        grid-column: 2;
        grid-row: 1;

        & figure {
            margin-left: 0;
            margin-right: 0;
        }
    }

    & .ce-bodytext {
        grid-column: 1;
        grid-row: 1;
    }
}
